tclap: TCLAP Namespace Reference

Main Page | Namespace List | Class Hierarchy | Class List | Directories | File List | Namespace Members | Class Members | File Members

# TCLAP Namespace Reference

## Classes
class | TCLAP::Arg
| A virtual base class that defines the essential data for all arguments. More...
class | TCLAP::ArgException
| A simple class that defines and argument exception. More...
class | TCLAP::ArgParseException
| Thrown from within the child Arg classes when it fails to properly parse the argument it has been passed. More...
class | TCLAP::CmdLineParseException
| Thrown from CmdLine when the arguments on the command line are not properly specified, e.g. More...
class | TCLAP::SpecificationException
| Thrown from Arg and CmdLine when an Arg is improperly specified, e.g. More...
class | TCLAP::ExitException
struct | TCLAP::ValueLike
| A value like argument value type is a value that can be set using operator>>. More...
struct | TCLAP::StringLike
| A string like argument value type is a value that can be set using operator=(string). More...
struct | TCLAP::StringLikeTrait
| A class can inherit from this object to make it have string like traits. More...
struct | TCLAP::ValueLikeTrait
| A class can inherit from this object to make it have value like traits. More...
struct | TCLAP::ArgTraits< T >
| Arg traits are used to get compile type specialization when parsing argument values. More...
class | TCLAP::CmdLine
| The base class that manages the command line definition and passes along the parsing to the appropriate Arg classes. More...
class | TCLAP::CmdLineInterface
| The base class that manages the command line definition and passes along the parsing to the appropriate Arg classes. More...
class | TCLAP::CmdLineOutput
| The interface that any output object must implement. More...
class | TCLAP::Constraint< T >
| The interface that defines the interaction between the Arg and Constraint. More...
class | TCLAP::DocBookOutput
| A class that generates DocBook output for usage() method for the given CmdLine and its Args. More...
class | TCLAP::HelpVisitor
| A Visitor object that calls the usage method of the given CmdLineOutput object for the specified CmdLine object. More...
class | TCLAP::IgnoreRestVisitor
| A Vistor that tells the CmdLine to begin ignoring arguments after this one is parsed. More...
class | TCLAP::MultiArg< T >
| An argument that allows multiple values of type T to be specified. More...
class | TCLAP::MultiSwitchArg
| A multiple switch argument. More...
class | TCLAP::OptionalUnlabeledTracker
struct | TCLAP::ArgTraits< long >
| longs have value-like semantics. More...
struct | TCLAP::ArgTraits< int >
| ints have value-like semantics. More...
struct | TCLAP::ArgTraits< short >
| shorts have value-like semantics. More...
struct | TCLAP::ArgTraits< char >
| chars have value-like semantics. More...
struct | TCLAP::ArgTraits< unsigned long >
| unsigned longs have value-like semantics. More...
struct | TCLAP::ArgTraits< unsigned int >
| unsigned ints have value-like semantics. More...
struct | TCLAP::ArgTraits< unsigned short >
| unsigned shorts have value-like semantics. More...
struct | TCLAP::ArgTraits< unsigned char >
| unsigned chars have value-like semantics. More...
struct | TCLAP::ArgTraits< float >
| floats have value-like semantics. More...
struct | TCLAP::ArgTraits< double >
| doubles have value-like semantics. More...
struct | TCLAP::ArgTraits< bool >
| bools have value-like semantics. More...
struct | TCLAP::ArgTraits< wchar_t >
| wchar_ts have value-like semantics. More...
struct | TCLAP::ArgTraits< std::string >
| Strings have string like argument traits. More...
class | TCLAP::StdOutput
| A class that isolates any output from the CmdLine object so that it may be easily modified. More...
class | TCLAP::SwitchArg
| A simple switch argument. More...
class | TCLAP::UnlabeledMultiArg< T >
| Just like a MultiArg, except that the arguments are unlabeled. More...
class | TCLAP::UnlabeledValueArg< T >
| The basic unlabeled argument that parses a value. More...
class | TCLAP::ValueArg< T >
| The basic labeled argument that parses a value. More...
class | TCLAP::ValuesConstraint< T >
| A Constraint that constrains the Arg to only those values specified in the constraint. More...
class | TCLAP::VersionVisitor
| A Vistor that will call the version method of the given CmdLineOutput for the specified CmdLine object and then exit. More...
class | TCLAP::Visitor
| A base class that defines the interface for visitors. More...
class | TCLAP::XorHandler
| This class handles lists of Arg's that are to be XOR'd on the command line. More...
class | TCLAP::ZshCompletionOutput
| A class that generates a Zsh completion function as output from the usage() method for the given CmdLine and its Args. More...
## Typedefs
typedef std::list< Arg * >::iterator | ArgListIterator
| Typedef of an Arg list iterator.
typedef std::vector< Arg * >::iterator | ArgVectorIterator
| Typedef of an Arg vector iterator.
typedef std::list< Visitor * >::iterator | VisitorListIterator
| Typedef of a Visitor list iterator.
## Functions
template<typename T>
void | ExtractValue (T &destVal, const std::string &strVal, ValueLike vl)
template<typename T>
void | ExtractValue (T &destVal, const std::string &strVal, StringLike sl)
template<typename T>
void | DelPtr (T ptr)
template<typename C>
void | ClearContainer (C &c)
template<typename T>
void | SetString (T &dst, const std::string &src)

## Typedef Documentation

typedef std::list<Arg*>::iterator TCLAP::ArgListIterator

| Typedef of an Arg list iterator. Definition at line 376 of file Arg.h. Referenced by TCLAP::StdOutput::_longUsage(), TCLAP::StdOutput::_shortUsage(), TCLAP::CmdLine::add(), TCLAP::CmdLine::missingArgsException(), TCLAP::CmdLine::parse(), TCLAP::CmdLine::reset(), TCLAP::ZshCompletionOutput::usage(), and TCLAP::DocBookOutput::usage().

typedef std::vector<Arg*>::iterator TCLAP::ArgVectorIterator

| Typedef of an Arg vector iterator. Definition at line 381 of file Arg.h. Referenced by TCLAP::StdOutput::_longUsage(), TCLAP::StdOutput::_shortUsage(), TCLAP::XorHandler::check(), TCLAP::XorHandler::contains(), TCLAP::ZshCompletionOutput::getMutexList(), TCLAP::DocBookOutput::usage(), and TCLAP::CmdLine::xorAdd().

typedef std::list<Visitor*>::iterator TCLAP::VisitorListIterator

| Typedef of a Visitor list iterator. Definition at line 386 of file Arg.h.

## Function Documentation

template<typename C>
void ClearContainer | ( | C & | c | ) |

| Definition at line 58 of file CmdLine.h. Referenced by TCLAP::CmdLine::~CmdLine().

template<typename T>
void DelPtr | ( | T | ptr | ) |

| Definition at line 53 of file CmdLine.h.

template<typename T>
void ExtractValue | ( | T & | destVal,
|  | const std::string & | strVal,
|  | StringLike | sl
| ) |

| Definition at line 432 of file Arg.h. References SetString().

Here is the call graph for this function:

template<typename T>
void ExtractValue | ( | T & | destVal,
|  | const std::string & | strVal,
|  | ValueLike | vl
| ) |

| Definition at line 395 of file Arg.h. Referenced by TCLAP::ValueArg< T >::_extractValue(), and TCLAP::MultiArg< T >::_extractValue().

template<typename T>
void SetString | ( | T & | dst,
|  | const std::string & | src
| ) |

| Definition at line 176 of file StandardTraits.h. Referenced by ExtractValue().